Last Comment Bug 754333 - [layout view] not updated when breadcrumbs are clicked
: [layout view] not updated when breadcrumbs are clicked
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: Firefox 15
Assigned To: Nobody; OK to take it and work on it
:
: Patrick Brosset <:pbro>
Mentors:
Depends on:
Blocks: 747218
  Show dependency treegraph
 
Reported: 2012-05-11 09:33 PDT by Michael Ratcliffe [:miker] [:mratcliffe]
Modified: 2012-05-26 10:23 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (3.20 KB, patch)
2012-05-24 05:56 PDT, Paul Rouget [:paul]
dcamp: review+
Details | Diff | Splinter Review

Description Michael Ratcliffe [:miker] [:mratcliffe] 2012-05-11 09:33:53 PDT
When breadcrumbs are clicked the layout view is not updated until the highlighter vale is moused over.
Comment 1 Paul Rouget [:paul] 2012-05-24 05:56:51 PDT
Created attachment 626771 [details] [diff] [review]
patch v1

we were only updating when a node was locked. If a node was already locked, we were not notified. Better use the new 'select' event.
Comment 3 Rob Campbell [:rc] (:robcee) 2012-05-26 10:23:31 PDT
https://hg.mozilla.org/mozilla-central/rev/6c66003c9117

Note You need to log in before you can comment on or make changes to this bug.